%define	upstream_name	django-tinymce

Name:           python-%{upstream_name}
Version:        1.5.3
Release:        1%{?dist}
Summary:        TinyMCE editor for Django applications

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/aljosa/django-tinymce
Source0:        https://github.com/aljosa/django-tinymce/archive/release-%{version}.tar.gz
# This disables the use of the moxieplayer.swf Flash video wrapper,
# which we don't ship as it's provided as a binary blob. Just removing
# the blob causes tinymce to keep generating HTML which wants to use
# it; we have to tell it the blob isn't available and it'll generate
# nice clean HTML5 instead.
# Patch from tinymce
Patch0:     tinymce-3.5.8-no_moxieplayer.patch

BuildArch:      noarch
Requires:       python-django
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
A Django application that render a form field as a TinyMCE editor.

%prep
%setup -q -n %{upstream_name}-release-%{version}
# Drop pre-built Flash binaries (#1000266). This means Flash fallback
# for video playback will not work.
rm -f tinymce/static/tiny_mce/plugins/media/moxieplayer.swf
rm -f tinymce/media/tiny_mce/plugins/media/moxieplayer.swf



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root="$RPM_BUILD_ROOT"


%files
%doc docs/history.rst docs/index.rst docs/installation.rst docs/usage.rst LICENSE.txt README.md
%{python_sitelib}/tinymce/
%{python_sitelib}/testtinymce/
%{python_sitelib}/django_tinymce*.egg-info


%changelog
* Mon Dec 08 2014 Yuguang Wang <yuwang@redhat.com> -1.5.3-1
- bump to latest upstream release
- drop pre-built Flash blobs, patch media plugin not to try and use
  moxieplayer

* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 1.5-5
- Fix this package for F18. Package rename needs new package repository.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Yuguang Wang <yuwang@redhat.com> - 1.5-2
- Fix tarball checksum mismatch problem.

* Fri Sep 30 2011 Yuguang Wang <yuwang@redhat.com> - 1.5-1
- Remove spec file from source.

* Fri Aug 5 2011 Yuguang Wang <yuwang@redhat.com> - 1.5
- Initial RPM release
